Index: code/branches/ogre1.9/data/gui/schemes/TaharezMenuWidgets.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/TaharezMenuWidgets.scheme	(revision 11128)
+++ code/branches/ogre1.9/data/gui/schemes/TaharezMenuWidgets.scheme	(revision 11211)
@@ -1,42 +1,42 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="TaharezMenuWidgets">
-    <WindowAlias Alias="MenuWidgets/StaticImage"              Target="TaharezLook/StaticImage" />
-    <WindowAlias Alias="MenuWidgets/StaticText"               Target="TaharezLook/StaticText" />
-    <WindowAlias Alias="MenuWidgets/TabButtonPane"            Target="TaharezLook/TabButtonPane" />
-    <WindowAlias Alias="MenuWidgets/TabContentPane"           Target="TaharezLook/TabContentPane" />
-    <WindowAlias Alias="MenuWidgets/Checkbox"                 Target="TaharezLook/Checkbox" />
-    <WindowAlias Alias="MenuWidgets/Combobox"                 Target="TaharezLook/Combobox" />
-    <WindowAlias Alias="MenuWidgets/ComboDropList"            Target="TaharezLook/ComboDropList" />
-    <WindowAlias Alias="MenuWidgets/ComboEditbox"             Target="TaharezLook/ComboEditbox" />
-    <WindowAlias Alias="MenuWidgets/Editbox"                  Target="TaharezLook/Editbox" />
-    <WindowAlias Alias="MenuWidgets/FrameWindow"              Target="TaharezLook/FrameWindow" />
-    <WindowAlias Alias="MenuWidgets/GroupBox"                 Target="TaharezLook/GroupBox" />
-    <WindowAlias Alias="MenuWidgets/ItemListbox"              Target="TaharezLook/ItemListbox" />
-    <WindowAlias Alias="MenuWidgets/ListboxItem"              Target="TaharezLook/ListboxItem" />
-    <WindowAlias Alias="MenuWidgets/Listbox"                  Target="TaharezLook/Listbox" />
-    <WindowAlias Alias="MenuWidgets/ListHeader"               Target="TaharezLook/ListHeader" />
-    <WindowAlias Alias="MenuWidgets/ListHeaderSegment"        Target="TaharezLook/ListHeaderSegment" />
-    <WindowAlias Alias="MenuWidgets/MultiLineEditbox"         Target="TaharezLook/MultiLineEditbox" />
-    <WindowAlias Alias="MenuWidgets/Menubar"                  Target="TaharezLook/Menubar" />
-    <WindowAlias Alias="MenuWidgets/MenuItem"                 Target="TaharezLook/MenuItem" />
-    <WindowAlias Alias="MenuWidgets/MultiColumnList"          Target="TaharezLook/MultiColumnList" />
-    <WindowAlias Alias="MenuWidgets/PopupMenu"                Target="TaharezLook/PopupMenu" />
-    <WindowAlias Alias="MenuWidgets/ProgressBar"              Target="TaharezLook/ProgressBar" />
-    <WindowAlias Alias="MenuWidgets/Button"                   Target="TaharezLook/Button" />
-    <WindowAlias Alias="MenuWidgets/ImageButton"              Target="TaharezLook/ImageButton" />
-    <WindowAlias Alias="MenuWidgets/RadioButton"              Target="TaharezLook/RadioButton" />
-    <WindowAlias Alias="MenuWidgets/SystemButton"             Target="TaharezLook/SystemButton" />
-    <WindowAlias Alias="MenuWidgets/ScrollablePane"           Target="TaharezLook/ScrollablePane" />
-    <WindowAlias Alias="MenuWidgets/HorizontalScrollbar"      Target="TaharezLook/HorizontalScrollbar" />
-    <WindowAlias Alias="MenuWidgets/VerticalScrollbar"        Target="TaharezLook/VerticalScrollbar" />
-    <WindowAlias Alias="MenuWidgets/Slider"                   Target="TaharezLook/Slider" />
-    <WindowAlias Alias="MenuWidgets/Spinner"                  Target="TaharezLook/Spinner" />
-    <WindowAlias Alias="MenuWidgets/TabButton"                Target="TaharezLook/TabButton" />
-    <WindowAlias Alias="MenuWidgets/TabControl"               Target="TaharezLook/TabControl" />
-    <WindowAlias Alias="MenuWidgets/HorizontalScrollbarThumb" Target="TaharezLook/HorizontalScrollbarThumb" />
-    <WindowAlias Alias="MenuWidgets/SliderThumb"              Target="TaharezLook/SliderThumb" />
-    <WindowAlias Alias="MenuWidgets/VerticalScrollbarThumb"   Target="TaharezLook/VerticalScrollbarThumb" />
-    <WindowAlias Alias="MenuWidgets/Titlebar"                 Target="TaharezLook/Titlebar" />
-    <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="TaharezLook/Tooltip" />
-    <WindowAlias Alias="MenuWidgets/Tree"                     Target="TaharezLook/Tree" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="TaharezMenuWidgets" version="5">
+    <WindowAlias alias="MenuWidgets/StaticImage" target="TaharezLook/StaticImage" />
+    <WindowAlias alias="MenuWidgets/StaticText" target="TaharezLook/StaticText" />
+    <WindowAlias alias="MenuWidgets/TabButtonPane" target="TaharezLook/TabButtonPane" />
+    <WindowAlias alias="MenuWidgets/TabContentPane" target="TaharezLook/TabContentPane" />
+    <WindowAlias alias="MenuWidgets/Checkbox" target="TaharezLook/Checkbox" />
+    <WindowAlias alias="MenuWidgets/Combobox" target="TaharezLook/Combobox" />
+    <WindowAlias alias="MenuWidgets/ComboDropList" target="TaharezLook/ComboDropList" />
+    <WindowAlias alias="MenuWidgets/ComboEditbox" target="TaharezLook/ComboEditbox" />
+    <WindowAlias alias="MenuWidgets/Editbox" target="TaharezLook/Editbox" />
+    <WindowAlias alias="MenuWidgets/FrameWindow" target="TaharezLook/FrameWindow" />
+    <WindowAlias alias="MenuWidgets/GroupBox" target="TaharezLook/GroupBox" />
+    <WindowAlias alias="MenuWidgets/ItemListbox" target="TaharezLook/ItemListbox" />
+    <WindowAlias alias="MenuWidgets/ListboxItem" target="TaharezLook/ListboxItem" />
+    <WindowAlias alias="MenuWidgets/Listbox" target="TaharezLook/Listbox" />
+    <WindowAlias alias="MenuWidgets/ListHeader" target="TaharezLook/ListHeader" />
+    <WindowAlias alias="MenuWidgets/ListHeaderSegment" target="TaharezLook/ListHeaderSegment" />
+    <WindowAlias alias="MenuWidgets/MultiLineEditbox" target="TaharezLook/MultiLineEditbox" />
+    <WindowAlias alias="MenuWidgets/Menubar" target="TaharezLook/Menubar" />
+    <WindowAlias alias="MenuWidgets/MenuItem" target="TaharezLook/MenuItem" />
+    <WindowAlias alias="MenuWidgets/MultiColumnList" target="TaharezLook/MultiColumnList" />
+    <WindowAlias alias="MenuWidgets/PopupMenu" target="TaharezLook/PopupMenu" />
+    <WindowAlias alias="MenuWidgets/ProgressBar" target="TaharezLook/ProgressBar" />
+    <WindowAlias alias="MenuWidgets/Button" target="TaharezLook/Button" />
+    <WindowAlias alias="MenuWidgets/ImageButton" target="TaharezLook/ImageButton" />
+    <WindowAlias alias="MenuWidgets/RadioButton" target="TaharezLook/RadioButton" />
+    <WindowAlias alias="MenuWidgets/SystemButton" target="TaharezLook/SystemButton" />
+    <WindowAlias alias="MenuWidgets/ScrollablePane" target="TaharezLook/ScrollablePane" />
+    <WindowAlias alias="MenuWidgets/HorizontalScrollbar" target="TaharezLook/HorizontalScrollbar" />
+    <WindowAlias alias="MenuWidgets/VerticalScrollbar" target="TaharezLook/VerticalScrollbar" />
+    <WindowAlias alias="MenuWidgets/Slider" target="TaharezLook/Slider" />
+    <WindowAlias alias="MenuWidgets/Spinner" target="TaharezLook/Spinner" />
+    <WindowAlias alias="MenuWidgets/TabButton" target="TaharezLook/TabButton" />
+    <WindowAlias alias="MenuWidgets/TabControl" target="TaharezLook/TabControl" />
+    <WindowAlias alias="MenuWidgets/HorizontalScrollbarThumb" target="TaharezLook/HorizontalScrollbarThumb" />
+    <WindowAlias alias="MenuWidgets/SliderThumb" target="TaharezLook/SliderThumb" />
+    <WindowAlias alias="MenuWidgets/VerticalScrollbarThumb" target="TaharezLook/VerticalScrollbarThumb" />
+    <WindowAlias alias="MenuWidgets/Titlebar" target="TaharezLook/Titlebar" />
+    <WindowAlias alias="MenuWidgets/Tooltip" target="TaharezLook/Tooltip" />
+    <WindowAlias alias="MenuWidgets/Tree" target="TaharezLook/Tree" />
 </GUIScheme>
Index: code/branches/ogre1.9/data/gui/schemes/VanillaHUDWidgets.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/VanillaHUDWidgets.scheme	(revision 11128)
+++ code/branches/ogre1.9/data/gui/schemes/VanillaHUDWidgets.scheme	(revision 11211)
@@ -1,42 +1,42 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="VanillaHUDWidgets">
-    <WindowAlias Alias="HUDWidgets/StaticImage"              Target="Vanilla/StaticImage" />
-    <WindowAlias Alias="HUDWidgets/StaticText"               Target="Vanilla/StaticText" />
-    <WindowAlias Alias="HUDWidgets/TabButtonPane"            Target="Vanilla/TabButtonPane" />
-    <WindowAlias Alias="HUDWidgets/TabContentPane"           Target="Vanilla/TabContentPane" />
-    <WindowAlias Alias="HUDWidgets/Checkbox"                 Target="Vanilla/Checkbox" />
-    <WindowAlias Alias="HUDWidgets/Combobox"                 Target="Vanilla/Combobox" />
-    <WindowAlias Alias="HUDWidgets/ComboDropList"            Target="Vanilla/ComboDropList" />
-    <WindowAlias Alias="HUDWidgets/ComboEditbox"             Target="Vanilla/ComboEditbox" />
-    <WindowAlias Alias="HUDWidgets/Editbox"                  Target="Vanilla/Editbox" />
-    <WindowAlias Alias="HUDWidgets/FrameWindow"              Target="Vanilla/FrameWindow" />
-    <WindowAlias Alias="HUDWidgets/GroupBox"                 Target="Vanilla/GroupBox" />
-    <WindowAlias Alias="HUDWidgets/ItemListbox"              Target="Vanilla/ItemListbox" />
-    <WindowAlias Alias="HUDWidgets/ListboxItem"              Target="Vanilla/ListboxItem" />
-    <WindowAlias Alias="HUDWidgets/Listbox"                  Target="Vanilla/Listbox" />
-    <WindowAlias Alias="HUDWidgets/ListHeader"               Target="Vanilla/ListHeader" />
-    <WindowAlias Alias="HUDWidgets/ListHeaderSegment"        Target="Vanilla/ListHeaderSegment" />
-    <WindowAlias Alias="HUDWidgets/MultiLineEditbox"         Target="Vanilla/MultiLineEditbox" />
-    <WindowAlias Alias="HUDWidgets/Menubar"                  Target="Vanilla/Menubar" />
-    <WindowAlias Alias="HUDWidgets/MenuItem"                 Target="Vanilla/MenuItem" />
-    <WindowAlias Alias="HUDWidgets/MultiColumnList"          Target="Vanilla/MultiColumnList" />
-    <WindowAlias Alias="HUDWidgets/PopupMenu"                Target="Vanilla/PopupMenu" />
-    <WindowAlias Alias="HUDWidgets/ProgressBar"              Target="Vanilla/ProgressBar" />
-    <WindowAlias Alias="HUDWidgets/Button"                   Target="Vanilla/Button" />
-    <WindowAlias Alias="HUDWidgets/ImageButton"              Target="Vanilla/ImageButton" />
-    <WindowAlias Alias="HUDWidgets/RadioButton"              Target="Vanilla/RadioButton" />
-    <WindowAlias Alias="HUDWidgets/SystemButton"             Target="Vanilla/SystemButton" />
-    <WindowAlias Alias="HUDWidgets/ScrollablePane"           Target="Vanilla/ScrollablePane" />
-    <WindowAlias Alias="HUDWidgets/HorizontalScrollbar"      Target="Vanilla/HorizontalScrollbar" />
-    <WindowAlias Alias="HUDWidgets/VerticalScrollbar"        Target="Vanilla/VerticalScrollbar" />
-    <WindowAlias Alias="HUDWidgets/Slider"                   Target="Vanilla/Slider" />
-    <WindowAlias Alias="HUDWidgets/Spinner"                  Target="Vanilla/Spinner" />
-    <WindowAlias Alias="HUDWidgets/TabButton"                Target="Vanilla/TabButton" />
-    <WindowAlias Alias="HUDWidgets/TabControl"               Target="Vanilla/TabControl" />
-    <WindowAlias Alias="HUDWidgets/HorizontalScrollbarThumb" Target="Vanilla/HorizontalScrollbarThumb" />
-    <WindowAlias Alias="HUDWidgets/SliderThumb"              Target="Vanilla/SliderThumb" />
-    <WindowAlias Alias="HUDWidgets/VerticalScrollbarThumb"   Target="Vanilla/VerticalScrollbarThumb" />
-    <WindowAlias Alias="HUDWidgets/Titlebar"                 Target="Vanilla/Titlebar" />
-    <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="Vanilla/Tooltip" />
-    <WindowAlias Alias="HUDWidgets/Tree"                     Target="Vanilla/Tree" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="VanillaHUDWidgets" version="5">
+    <WindowAlias alias="HUDWidgets/StaticImage" target="Vanilla/StaticImage" />
+    <WindowAlias alias="HUDWidgets/StaticText" target="Vanilla/StaticText" />
+    <WindowAlias alias="HUDWidgets/TabButtonPane" target="Vanilla/TabButtonPane" />
+    <WindowAlias alias="HUDWidgets/TabContentPane" target="Vanilla/TabContentPane" />
+    <WindowAlias alias="HUDWidgets/Checkbox" target="Vanilla/Checkbox" />
+    <WindowAlias alias="HUDWidgets/Combobox" target="Vanilla/Combobox" />
+    <WindowAlias alias="HUDWidgets/ComboDropList" target="Vanilla/ComboDropList" />
+    <WindowAlias alias="HUDWidgets/ComboEditbox" target="Vanilla/ComboEditbox" />
+    <WindowAlias alias="HUDWidgets/Editbox" target="Vanilla/Editbox" />
+    <WindowAlias alias="HUDWidgets/FrameWindow" target="Vanilla/FrameWindow" />
+    <WindowAlias alias="HUDWidgets/GroupBox" target="Vanilla/GroupBox" />
+    <WindowAlias alias="HUDWidgets/ItemListbox" target="Vanilla/ItemListbox" />
+    <WindowAlias alias="HUDWidgets/ListboxItem" target="Vanilla/ListboxItem" />
+    <WindowAlias alias="HUDWidgets/Listbox" target="Vanilla/Listbox" />
+    <WindowAlias alias="HUDWidgets/ListHeader" target="Vanilla/ListHeader" />
+    <WindowAlias alias="HUDWidgets/ListHeaderSegment" target="Vanilla/ListHeaderSegment" />
+    <WindowAlias alias="HUDWidgets/MultiLineEditbox" target="Vanilla/MultiLineEditbox" />
+    <WindowAlias alias="HUDWidgets/Menubar" target="Vanilla/Menubar" />
+    <WindowAlias alias="HUDWidgets/MenuItem" target="Vanilla/MenuItem" />
+    <WindowAlias alias="HUDWidgets/MultiColumnList" target="Vanilla/MultiColumnList" />
+    <WindowAlias alias="HUDWidgets/PopupMenu" target="Vanilla/PopupMenu" />
+    <WindowAlias alias="HUDWidgets/ProgressBar" target="Vanilla/ProgressBar" />
+    <WindowAlias alias="HUDWidgets/Button" target="Vanilla/Button" />
+    <WindowAlias alias="HUDWidgets/ImageButton" target="Vanilla/ImageButton" />
+    <WindowAlias alias="HUDWidgets/RadioButton" target="Vanilla/RadioButton" />
+    <WindowAlias alias="HUDWidgets/SystemButton" target="Vanilla/SystemButton" />
+    <WindowAlias alias="HUDWidgets/ScrollablePane" target="Vanilla/ScrollablePane" />
+    <WindowAlias alias="HUDWidgets/HorizontalScrollbar" target="Vanilla/HorizontalScrollbar" />
+    <WindowAlias alias="HUDWidgets/VerticalScrollbar" target="Vanilla/VerticalScrollbar" />
+    <WindowAlias alias="HUDWidgets/Slider" target="Vanilla/Slider" />
+    <WindowAlias alias="HUDWidgets/Spinner" target="Vanilla/Spinner" />
+    <WindowAlias alias="HUDWidgets/TabButton" target="Vanilla/TabButton" />
+    <WindowAlias alias="HUDWidgets/TabControl" target="Vanilla/TabControl" />
+    <WindowAlias alias="HUDWidgets/HorizontalScrollbarThumb" target="Vanilla/HorizontalScrollbarThumb" />
+    <WindowAlias alias="HUDWidgets/SliderThumb" target="Vanilla/SliderThumb" />
+    <WindowAlias alias="HUDWidgets/VerticalScrollbarThumb" target="Vanilla/VerticalScrollbarThumb" />
+    <WindowAlias alias="HUDWidgets/Titlebar" target="Vanilla/Titlebar" />
+    <WindowAlias alias="HUDWidgets/Tooltip" target="Vanilla/Tooltip" />
+    <WindowAlias alias="HUDWidgets/Tree" target="Vanilla/Tree" />
 </GUIScheme>
Index: code/branches/ogre1.9/data/gui/schemes/VanillaLook.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/VanillaLook.scheme	(revision 11128)
+++ code/branches/ogre1.9/data/gui/schemes/VanillaLook.scheme	(revision 11211)
@@ -1,53 +1,47 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="VanillaLook">
-    <Imageset Name="Vanilla-Images" Filename="Vanilla.imageset" />
-    <Imageset Name="TaharezLook"    Filename="TaharezLook.imageset" />
-    <LookNFeel Filename="Vanilla.looknfeel" />
-    <LookNFeel Filename="TaharezLook.looknfeel" />
-    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
-
-    <!-- Standard widgets -->
-    <FalagardMapping WindowType="Vanilla/StaticImage"              TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="Vanilla/StaticImage" />
-    <FalagardMapping WindowType="Vanilla/StaticText"               TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="Vanilla/StaticText" />
-    <FalagardMapping WindowType="Vanilla/Editbox"                  TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="Vanilla/Editbox" />
-    <FalagardMapping WindowType="Vanilla/FrameWindow"              TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="Vanilla/FrameWindow" />
-    <FalagardMapping WindowType="Vanilla/Listbox"                  TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="Vanilla/Listbox" />
-    <FalagardMapping WindowType="Vanilla/MultiLineEditbox"         TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="Vanilla/MultiLineEditbox" />
-    <FalagardMapping WindowType="Vanilla/Button"                   TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="Vanilla/Button" />
-    <FalagardMapping WindowType="Vanilla/HorizontalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="Vanilla/HorizontalScrollbar" />
-    <FalagardMapping WindowType="Vanilla/VerticalScrollbar"        TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="Vanilla/VerticalScrollbar" />
-    <FalagardMapping WindowType="Vanilla/HorizontalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="Vanilla/HorizontalScrollbarThumb" />
-    <FalagardMapping WindowType="Vanilla/VerticalScrollbarThumb"   TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="Vanilla/VerticalScrollbarThumb" />
-    <FalagardMapping WindowType="Vanilla/Titlebar"                 TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="Vanilla/Titlebar" />
-
-    <!-- Missing widgets (using Taharez LookNFeel) -->
-    <FalagardMapping WindowType="Vanilla/TabButtonPane"            TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabButtonPane" />
-    <FalagardMapping WindowType="Vanilla/TabContentPane"           TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabContentPane" />
-    <FalagardMapping WindowType="Vanilla/Checkbox"                 TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/Checkbox" />
-    <FalagardMapping WindowType="Vanilla/Combobox"                 TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/Combobox" />
-    <FalagardMapping WindowType="Vanilla/ComboDropList"            TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/ComboDropList" />
-    <FalagardMapping WindowType="Vanilla/ComboEditbox"             TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/ComboEditbox" />
-    <FalagardMapping WindowType="Vanilla/GroupBox"                 TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/GroupBox" />
-    <FalagardMapping WindowType="Vanilla/ItemListbox"              TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="TaharezLook/ItemListbox" />
-    <FalagardMapping WindowType="Vanilla/ListboxItem"              TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="TaharezLook/ListboxItem" />
-    <FalagardMapping WindowType="Vanilla/ListHeader"               TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="TaharezLook/ListHeader" />
-    <FalagardMapping WindowType="Vanilla/ListHeaderSegment"        TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="TaharezLook/ListHeaderSegment" />
-    <FalagardMapping WindowType="Vanilla/Menubar"                  TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="TaharezLook/Menubar" />
-    <FalagardMapping WindowType="Vanilla/MenuItem"                 TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="TaharezLook/MenuItem" />
-    <FalagardMapping WindowType="Vanilla/MultiColumnList"          TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="TaharezLook/MultiColumnList" />
-    <FalagardMapping WindowType="Vanilla/PopupMenu"                TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="TaharezLook/PopupMenu" />
-    <FalagardMapping WindowType="Vanilla/ProgressBar"              TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/ProgressBar" />
-    <FalagardMapping WindowType="Vanilla/ImageButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/ImageButton" />
-    <FalagardMapping WindowType="Vanilla/RadioButton"              TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/RadioButton" />
-    <FalagardMapping WindowType="Vanilla/SystemButton"             TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="TaharezLook/Button" />
-    <FalagardMapping WindowType="Vanilla/ScrollablePane"           TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="TaharezLook/ScrollablePane" />
-    <FalagardMapping WindowType="Vanilla/Slider"                   TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="TaharezLook/Slider" />
-    <FalagardMapping WindowType="Vanilla/Spinner"                  TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/Spinner" />
-    <FalagardMapping WindowType="Vanilla/TabButton"                TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="TaharezLook/TabButton" />
-    <FalagardMapping WindowType="Vanilla/TabControl"               TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="TaharezLook/TabControl" />
-    <FalagardMapping WindowType="Vanilla/SliderThumb"              TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/SliderThumb" />
-    <FalagardMapping WindowType="Vanilla/Tooltip"                  TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="TaharezLook/Tooltip" />
-    <FalagardMapping WindowType="Vanilla/Tree"                     TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezLook/Tree" />
-    
-    <!-- Additional widgets -->
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="VanillaLook" version="5">
+    <Imageset filename="Vanilla.imageset" name="Vanilla-Images" />
+    <Imageset filename="TaharezLook.imageset" name="TaharezLook" />
+    <LookNFeel filename="Vanilla.looknfeel" />
+    <LookNFeel filename="TaharezLook.looknfeel" />
+    <WindowRendererSet filename="CEGUICoreWindowRendererSet" />
+    <FalagardMapping lookNFeel="Vanilla/StaticImage" renderer="Core/StaticImage" targetType="DefaultWindow" windowType="Vanilla/StaticImage" />
+    <FalagardMapping lookNFeel="Vanilla/StaticText" renderer="Core/StaticText" targetType="DefaultWindow" windowType="Vanilla/StaticText" />
+    <FalagardMapping lookNFeel="Vanilla/Editbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="Vanilla/Editbox" />
+    <FalagardMapping lookNFeel="Vanilla/FrameWindow" renderer="Core/FrameWindow" targetType="CEGUI/FrameWindow" windowType="Vanilla/FrameWindow" />
+    <FalagardMapping lookNFeel="Vanilla/Listbox" renderer="Core/Listbox" targetType="CEGUI/Listbox" windowType="Vanilla/Listbox" />
+    <FalagardMapping lookNFeel="Vanilla/MultiLineEditbox" renderer="Core/MultiLineEditbox" targetType="CEGUI/MultiLineEditbox" windowType="Vanilla/MultiLineEditbox" />
+    <FalagardMapping lookNFeel="Vanilla/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="Vanilla/Button" />
+    <FalagardMapping lookNFeel="Vanilla/HorizontalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="Vanilla/HorizontalScrollbar" />
+    <FalagardMapping lookNFeel="Vanilla/VerticalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="Vanilla/VerticalScrollbar" />
+    <FalagardMapping lookNFeel="Vanilla/HorizontalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="Vanilla/HorizontalScrollbarThumb" />
+    <FalagardMapping lookNFeel="Vanilla/VerticalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="Vanilla/VerticalScrollbarThumb" />
+    <FalagardMapping lookNFeel="Vanilla/Titlebar" renderer="Core/Titlebar" targetType="CEGUI/Titlebar" windowType="Vanilla/Titlebar" />
+    <FalagardMapping lookNFeel="TaharezLook/TabButtonPane" renderer="Core/Default" targetType="DefaultWindow" windowType="Vanilla/TabButtonPane" />
+    <FalagardMapping lookNFeel="TaharezLook/TabContentPane" renderer="Core/Default" targetType="DefaultWindow" windowType="Vanilla/TabContentPane" />
+    <FalagardMapping lookNFeel="TaharezLook/Checkbox" renderer="Core/ToggleButton" targetType="CEGUI/ToggleButton" windowType="Vanilla/Checkbox" />
+    <FalagardMapping lookNFeel="TaharezLook/Combobox" renderer="Core/Default" targetType="CEGUI/Combobox" windowType="Vanilla/Combobox" />
+    <FalagardMapping lookNFeel="TaharezLook/ComboDropList" renderer="Core/Listbox" targetType="CEGUI/ComboDropList" windowType="Vanilla/ComboDropList" />
+    <FalagardMapping lookNFeel="TaharezLook/ComboEditbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="Vanilla/ComboEditbox" />
+    <FalagardMapping lookNFeel="TaharezLook/GroupBox" renderer="Core/Default" targetType="CEGUI/GroupBox" windowType="Vanilla/GroupBox" />
+    <FalagardMapping lookNFeel="TaharezLook/ItemListbox" renderer="Core/ItemListbox" targetType="CEGUI/ItemListbox" windowType="Vanilla/ItemListbox" />
+    <FalagardMapping lookNFeel="TaharezLook/ListboxItem" renderer="Core/ItemEntry" targetType="CEGUI/ItemEntry" windowType="Vanilla/ListboxItem" />
+    <FalagardMapping lookNFeel="TaharezLook/ListHeader" renderer="Core/ListHeader" targetType="CEGUI/ListHeader" windowType="Vanilla/ListHeader" />
+    <FalagardMapping lookNFeel="TaharezLook/ListHeaderSegment" renderer="Core/ListHeaderSegment" targetType="CEGUI/ListHeaderSegment" windowType="Vanilla/ListHeaderSegment" />
+    <FalagardMapping lookNFeel="TaharezLook/Menubar" renderer="Core/Menubar" targetType="CEGUI/Menubar" windowType="Vanilla/Menubar" />
+    <FalagardMapping lookNFeel="TaharezLook/MenuItem" renderer="Core/MenuItem" targetType="CEGUI/MenuItem" windowType="Vanilla/MenuItem" />
+    <FalagardMapping lookNFeel="TaharezLook/MultiColumnList" renderer="Core/MultiColumnList" targetType="CEGUI/MultiColumnList" windowType="Vanilla/MultiColumnList" />
+    <FalagardMapping lookNFeel="TaharezLook/PopupMenu" renderer="Core/PopupMenu" targetType="CEGUI/PopupMenu" windowType="Vanilla/PopupMenu" />
+    <FalagardMapping lookNFeel="TaharezLook/ProgressBar" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="Vanilla/ProgressBar" />
+    <FalagardMapping lookNFeel="TaharezLook/ImageButton" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="Vanilla/ImageButton" />
+    <FalagardMapping lookNFeel="TaharezLook/RadioButton" renderer="Core/ToggleButton" targetType="CEGUI/RadioButton" windowType="Vanilla/RadioButton" />
+    <FalagardMapping lookNFeel="TaharezLook/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="Vanilla/SystemButton" />
+    <FalagardMapping lookNFeel="TaharezLook/ScrollablePane" renderer="Core/ScrollablePane" targetType="CEGUI/ScrollablePane" windowType="Vanilla/ScrollablePane" />
+    <FalagardMapping lookNFeel="TaharezLook/Slider" renderer="Core/Slider" targetType="CEGUI/Slider" windowType="Vanilla/Slider" />
+    <FalagardMapping lookNFeel="TaharezLook/Spinner" renderer="Core/Default" targetType="CEGUI/Spinner" windowType="Vanilla/Spinner" />
+    <FalagardMapping lookNFeel="TaharezLook/TabButton" renderer="Core/TabButton" targetType="CEGUI/TabButton" windowType="Vanilla/TabButton" />
+    <FalagardMapping lookNFeel="TaharezLook/TabControl" renderer="Core/TabControl" targetType="CEGUI/TabControl" windowType="Vanilla/TabControl" />
+    <FalagardMapping lookNFeel="TaharezLook/SliderThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="Vanilla/SliderThumb" />
+    <FalagardMapping lookNFeel="TaharezLook/Tooltip" renderer="Core/Tooltip" targetType="CEGUI/Tooltip" windowType="Vanilla/Tooltip" />
+    <FalagardMapping lookNFeel="TaharezLook/Tree" renderer="Core/Tree" targetType="CEGUI/Tree" windowType="Vanilla/Tree" />
 </GUIScheme>
